package com.nantian.cloud.dbcapp.mapper.jly;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface SysInfoMapper {

    //更新登录日志
    int renewLoginLog(@Param("dbName") String dbName, @Param("title") String title);

    //获取累计分配账户、累计活跃账户、累计登录情况
    List<Map<String,String>> getAccount(@Param("dbName") String dbName, @Param("startDate") String startDate, @Param("endDate") String endDate);
    
    //获取登录信息（按月分组）
    List<Map<String,String>> getLoginGroupByDate(@Param("dbName") String dbName, @Param("startDate") String startDate, @Param("endDate") String endDate);

    //获取各级政府部门登录信息（按月分组）
    List<Map<String,String>> getDeptLoginGroupByDate(@Param("dbName") String dbName, @Param("startDate") String startDate, @Param("endDate") String endDate);
    
    //获取活跃账户信息（按月分组）
    List<Map<String,String>> getActiveAccountGroupByDate(@Param("dbName") String dbName, @Param("startDate") String startDate, @Param("endDate") String endDate);

    //获取各级政府部门活跃账户信息（按月分组）
    List<Map<String,String>> getDeptActiveAccountGroupByDate(@Param("dbName") String dbName, @Param("startDate") String startDate, @Param("endDate") String endDate);

    //获取已有账户的企业
    List<String> getEpcByAccount(@Param("dbName") String dbName);

    //注册用能单位子系统账户
    Integer insertAccount(@Param("enterpriseCode") String enterpriseCode, @Param("cmpName") String cmpName, @Param("regionCode") String regionCode, @Param("dbName") String dbName);
}
